Debian Bug report logs - #685143
mount: Trying to mount extended partition directly cases hang and 100% CPU usage

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Roberto Maisl <rob@froy.de>

Date: Fri, 17 Aug 2012 11:12:01 UTC

Severity: serious

Tags: fixed-upstream, pending, upstream

Merged with 684293

Found in versions linux-2.6/3.2.19-1, linux/3.2.20-1

Fixed in version linux/3.2.29-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#685143; Package mount. (Fri, 17 Aug 2012 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto Maisl <rob@froy.de>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 17 Aug 2012 11:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roberto Maisl <rob@froy.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mount: Trying to mount extended partition directly cases hang and 100% CPU usage
Date: Fri, 17 Aug 2012 12:48:46 +0200
Package: mount
Version: 2.20.1-5.1
Severity: critical
Justification: breaks the whole system

Dear Maintainer,

I attached an external disk via USB. The disk is paritioned into

sdc1 primary partition
sdc2 extended partition
sdc5  - ext3 partition

I wanted to mount sdc5, but called

mount /dev/sdc2 mount /media/usb

This caused mount to hang, and top showing 100% CPU usage of mount. Trying to kill that process failed (even kill -9). Neither was it possible to shutdown the system using shutdown -h now.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mount depends on:
ii  libblkid1    2.20.1-5.1
ii  libc6        2.13-33
ii  libmount1    2.20.1-5.1
ii  libselinux1  2.1.9-5
ii  libsepol1    2.1.4-3

mount recommends no packages.

Versions of packages mount suggests:
ii  nfs-common  1:1.2.6-2

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#685143; Package mount. (Mon, 10 Sep 2012 15:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to ck850@web.de:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Mon, 10 Sep 2012 15:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 685143@bugs.debian.org (full text, mbox):

From: ck850@web.de
To: 685143@bugs.debian.org
Subject: mount: Trying to mount extended partition directly cases hang and 100% CPU usage
Date: Mon, 10 Sep 2012 17:44:01 +0200
I can confirm this bug. Just try

mount -t auto /dev/sdxy /mnt

where sdxy is an extended partition. With version 2.17.2-9.1 there is no problem,
you just get the error message "mount: you must specify the filesystem type".

But from version 2.19.1-2 on mount shows the described buggy behaviour. This also
affects busybox and therefore the debian-installer if you try to install debian
from a usb-medium as described here: http://www.debian.org/releases/wheezy/i386/ch04s03.html.en
The installer mounts one partition after the other looking for an iso-image. The
image is on sdb in my case but the installer starts looking at sda1 no matter what.
So before it even gets to sdb, the installer tries to mount the extended partition
on sda and mount hangs as described, using 100% CPU.



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#685143; Package mount. (Tue, 11 Sep 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ck850@web.de:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Tue, 11 Sep 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 685143@bugs.debian.org (full text, mbox):

From: ck850@web.de
To: 685143@bugs.debian.org
Subject: mount: Trying to mount extended partition directly cases hang and 100% CPU usage
Date: Tue, 11 Sep 2012 17:16:42 +0200
I can reproduce this bug on my squeeze system with backports kernel 3.2.0-0.bpo.3-686-pae too.
Not with "-t auto" but if I use some filesystem (e.g. ext2/3/4, reiserfs) in the mount command.

mount -t ext3 /dev/sdxy /mnt

With kernel 2.6.32-5-686 I get the ususal "mount: wrong fs type, bad superblock on /dev/..."
error message.

There is a similar bug report for the 3.2.0 kernel on Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1032874

So to reproduce this use squeeze with the backports kernel or wheezy with stock 3.2.0 kernel.
Try to mount an extended partition (=the partition that contains the logical partitions) using
filesystem type ext2/3/4 or reiserfs.

e.g. mount -t ext3 /dev/sda4 /mnt

The mount process will hang using 100% CPU; kill -9 won't kill the process.
I didn't try all the available fs types but for example "-t xfs" gives the
correct error message and does *not* hang the mount process.



Bug reassigned from package 'mount' to 'src:linux'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 09:21:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions util-linux/2.20.1-5.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 09:21:03 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.20-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 09:21:04 GMT) Full text and rfc822 format available.

Added indication that 685143 affects mount and busybox Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 09:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685143; Package src:linux. (Sat, 13 Oct 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Oct 2012 09:39:03 GMT) Full text and rfc822 format available.

Message #28 received at 685143@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 685143@bugs.debian.org
Subject: Re: reassign 685143 to src:linux
Date: Sat, 13 Oct 2012 10:35:34 +0100
[Message part 1 (text/plain, inline)]
As discussed with Ben, this is blatantly a kernel bug. Strace output
attached. The mount() syscall never returns. Debugging further now.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray
[strace (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685143; Package src:linux. (Sat, 13 Oct 2012 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 13 Oct 2012 22:00:03 GMT) Full text and rfc822 format available.

Message #33 received at 685143@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 685143@bugs.debian.org
Subject: Re: mount: Trying to mount extended partition directly cases hang and 100% CPU usage
Date: Sat, 13 Oct 2012 22:57:31 +0100
[Message part 1 (text/plain, inline)]
This was previously reported as bug #684293 and it was fixed in version
3.2.29-1.  Unfortunately this is not yet in testing or d-i beta 3.

Ben.

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'critical' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:06 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:06 GMT) Full text and rfc822 format available.

Notification sent to Roberto Maisl <rob@froy.de>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 22:00:07 GMT) Full text and rfc822 format available.

Removed indication that 685143 affects mount and busybox Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions linux/3.2.29-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:07 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.2.19-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:08 GMT) Full text and rfc822 format available.

Merged 684293 685143 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 22:00:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 06 Nov 2012 04:51:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Dec 2012 07:26:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:11:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.